apiVersion: org.eclipse.che/v2
kind: CheCluster
metadata:
  creationTimestamp: '2022-11-30T22:02:22Z'
  finalizers:
    - checluster.che.eclipse.org
    - cheGateway.clusterpermissions.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
    - dashboard.clusterpermissions.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
  generation: 3
  managedFields:
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            'v:"consolelink.finalizers.che.eclipse.org"': {}
        'f:status':
          'f:chePhase': {}
          'f:cheURL': {}
          'f:cheVersion': {}
      manager: manager
      operation: Update
      time: '2022-11-30T22:09:52Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:components':
            'f:dashboard':
              .: {}
              'f:deployment':
                .: {}
                'f:containers': {}
            'f:pluginRegistry':
              .: {}
              'f:deployment':
                .: {}
                'f:containers': {}
            .: {}
            'f:metrics':
              .: {}
              'f:enable': {}
            'f:cheServer':
              .: {}
              'f:debug': {}
              'f:deployment':
                .: {}
                'f:containers': {}
              'f:extraProperties':
                .: {}
                'f:CHE_LIMITS_USER_WORKSPACES_COUNT': {}
                'f:CHE_LIMITS_USER_WORKSPACES_RUN_COUNT': {}
                'f:CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT': {}
              'f:logLevel': {}
            'f:database':
              .: {}
              'f:credentialsSecretName': {}
              'f:deployment':
                .: {}
                'f:containers': {}
              'f:externalDb': {}
              'f:postgresDb': {}
              'f:postgresHostName': {}
              'f:postgresPort': {}
              'f:pvc':
                .: {}
                'f:storageClass': {}
            'f:devWorkspace':
              .: {}
              'f:runningLimit': {}
            'f:imagePuller':
              .: {}
              'f:enable': {}
              'f:spec': {}
            'f:devfileRegistry':
              .: {}
              'f:deployment':
                .: {}
                'f:containers': {}
          'f:containerRegistry': {}
          'f:devEnvironments':
            .: {}
            'f:defaultNamespace':
              .: {}
              'f:template': {}
            'f:secondsOfInactivityBeforeIdling': {}
            'f:secondsOfRunBeforeIdling': {}
            'f:storage':
              .: {}
              'f:pvcStrategy': {}
          'f:networking':
            .: {}
            'f:auth':
              .: {}
              'f:gateway':
                .: {}
                'f:configLabels':
                  .: {}
                  'f:app': {}
                  'f:component': {}
                'f:deployment':
                  .: {}
                  'f:containers': {}
              'f:identityProviderURL': {}
              'f:oAuthClientName': {}
              'f:oAuthSecret': {}
            'f:hostname': {}
      manager: Mozilla
      operation: Update
      time: '2022-11-30T22:36:21Z'
  name: codeready-workspaces
  namespace: openshift-workspaces
  resourceVersion: '9193127'
  uid: b97f8a72-8ec8-4e55-9ef2-89320438f69b
spec:
  components:
    cheServer:
      debug: false
      deployment:
        containers:
          - name: devspaces
            resources:
              limits:
                cpu: '0'
                memory: '0'
              request:
                cpu: '0'
                memory: '0'
      extraProperties:
        CHE_LIMITS_USER_WORKSPACES_COUNT: '50'
        CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: '20'
        CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT: '14400000'
      logLevel: INFO
    dashboard:
      deployment:
        containers:
          - name: devspaces-dashboard
            resources:
              limits:
                cpu: '0'
                memory: '0'
              request:
                cpu: '0'
                memory: '0'
    database:
      credentialsSecretName: che-postgres-secret
      deployment:
        containers:
          - name: postgres
            resources:
              limits:
                cpu: '0'
                memory: '0'
              request:
                cpu: '0'
                memory: '0'
      externalDb: false
      postgresDb: dbche
      postgresHostName: postgres
      postgresPort: '5432'
      pvc:
        storageClass: ocs-storagecluster-cephfs
    devWorkspace:
      runningLimit: '10'
    devfileRegistry:
      deployment:
        containers:
          - image: >-
              jfrog.uk.ngridtools.com/eso-fob-docker/che-devfile-registry:01e543c
            name: devfile-registry
            resources:
              limits:
                cpu: '0'
                memory: '0'
              request:
                cpu: '0'
                memory: '0'
    imagePuller:
      enable: false
      spec: {}
    metrics:
      enable: true
    pluginRegistry:
      deployment:
        containers:
          - name: plugin-registry
            resources:
              limits:
                cpu: '0'
                memory: '0'
              request:
                cpu: '0'
                memory: '0'
  containerRegistry: {}
  devEnvironments:
    defaultNamespace:
      template: <username>-codeready
    secondsOfInactivityBeforeIdling: 18000
    secondsOfRunBeforeIdling: -1
    storage:
      pvcStrategy: per-workspace
  networking:
    auth:
      gateway:
        configLabels:
          app: che
          component: che-gateway-config
        deployment:
          containers:
            - image: >-
                registry.redhat.io/codeready-workspaces/traefik-rhel8@sha256:875d027d894edc1ed52fdfcecc1c91d2849ea3d8f32ab3f2b39beb639834a951
              name: gateway
      identityProviderURL: >-
        https://codeready-openshift-workspaces.apps.devops02.devops.balancing.nationalgrideso.com/auth
      oAuthClientName: codeready-workspaces-openshift-identity-provider-ckmmhg
      oAuthSecret: W601ESdAKmP5
    hostname: >-
      codeready-openshift-workspaces.apps.devops02.devops.balancing.nationalgrideso.com
status:
  chePhase: Active
  cheURL: >-
    https://codeready-openshift-workspaces.apps.devops02.devops.balancing.nationalgrideso.com
  cheVersion: 3.2.0
  devfileRegistryURL: >-
    https://codeready-openshift-workspaces.apps.devops02.devops.balancing.nationalgrideso.com/devfile-registry
  gatewayPhase: Established
  pluginRegistryURL: >-
    https://codeready-openshift-workspaces.apps.devops02.devops.balancing.nationalgrideso.com/plugin-registry/v3
  postgresVersion: '13.7'
  workspaceBaseDomain: apps.devops02.devops.balancing.nationalgrideso.com
